Last modified: 2014-05-16 15:14:43 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 42458 - Allow each log action to set whether to send email notification and with which subject/body
Allow each log action to set whether to send email notification and with whic...
Status: NEW
Product: MediaWiki
Classification: Unclassified
Email (Other open bugs)
1.21.x
All All
: Low enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on: 14901
Blocks: 1932 34153
  Show dependency treegraph
 
Reported: 2012-11-26 21:09 UTC by Nemo
Modified: 2014-05-16 15:14 UTC (History)
6 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Nemo 2012-11-26 21:09:56 UTC
+++ This bug was initially created as a clone of Bug #42457 +++

This, together with a bunch of changes in the extensions, would be – I guess – the most complete fix for bug 14901.

(Quoting from bug 14901 comment #63)
> "We could add handling for protect/unprotect/right, but this would not solve
> the fundamental of this issue. Any new log action about an article attempts to
> send an email, it would be really hard to catch all log-actions since any
> extensions could add a new log-action and it's not appropriate to handle them
> inside the notification code.
> 
> Instead, I think we should alter the log to include a send_email param in
> log_param which checks whether to send emails and leave the email subject/body
> definition to extensions or the code that creates the log. This would require
> some time and go far beyond 20% time.

I'd call this an enhancement, while bug 42457 is the remaining bug to be fixed (probably less painful than this request).

This might even be /too/ complete a solution and overlap with Echo work on core: cc'ing Andrew to be safe.
Comment 1 Nemo 2014-05-09 15:45:48 UTC
Did https://gerrit.wikimedia.org/r/#/c/114682/ fix this?
Comment 2 Niklas Laxström 2014-05-09 16:34:49 UTC
It is not possible to suppress log notifications emails or alter their content with current hooks in core.
Comment 3 Gerrit Notification Bot 2014-05-10 07:52:57 UTC
Change 132600 had a related patch set uploaded by Nemo bis:
Extend AbortEmailNotification hook to access log type etc.

https://gerrit.wikimedia.org/r/132600
Comment 4 Gerrit Notification Bot 2014-05-11 09:43:27 UTC
Change 132600 merged by jenkins-bot:
Extend AbortEmailNotification hook to access log type etc.

https://gerrit.wikimedia.org/r/132600
Comment 5 Nemo 2014-05-11 09:51:17 UTC
Approved by IAlex. :) Hopefully that's enough for the "whether to send an email" side, but changing content is tricky: how can we do that, by making enotif_body more modular perhaps? (As was done in part for bug 14901.)

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links